## org.eclipse.datatools.modelbase.sql.routines
Class ParameterMode

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.routines.ParameterMode

public final class ParameterMode
extends AbstractEnumerator

A representation of the literals of the enumeration 'Parameter Mode', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 11.50

See Also:
  `SQLRoutinesPackage.getParameterMode()`, Serialized Form

Field Summary
`static int` `IN` The 'IN' literal value.
`static ParameterMode` `IN_LITERAL` The 'IN' literal object.
`static int` `INOUT` The 'INOUT' literal value.
`static ParameterMode` `INOUT_LITERAL` The 'INOUT' literal object.
`static int` `OUT` The 'OUT' literal value.
`static ParameterMode` `OUT_LITERAL` The 'OUT' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Parameter Mode' enumerators.

Method Summary
`static ParameterMode` `get(int value)` Returns the 'Parameter Mode' literal with the specified integer value.
`static ParameterMode` `get(java.lang.String literal)` Returns the 'Parameter Mode' literal with the specified literal value.
`static ParameterMode` `getByName(java.lang.String name)` Returns the 'Parameter Mode' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN

    public static final int IN

  The 'IN' literal value.

  See Also:
    `IN_LITERAL`, Constant Field Values

### OUT

    public static final int OUT

  The 'OUT' literal value.

  See Also:
    `OUT_LITERAL`, Constant Field Values

### INOUT

    public static final int INOUT

  The 'INOUT' literal value.

  See Also:
    `INOUT_LITERAL`, Constant Field Values

### IN_LITERAL

    public static final ParameterMode IN_LITERAL

  The 'IN' literal object.

  If the meaning of 'IN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN`

### OUT_LITERAL

    public static final ParameterMode OUT_LITERAL

  The 'OUT' literal object.

  If the meaning of 'OUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUT`

### INOUT_LITERAL

    public static final ParameterMode INOUT_LITERAL

  The 'INOUT' literal object.

  If the meaning of 'INOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INOUT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parameter Mode' enumerators.

Method Detail

### get

    public static ParameterMode get(java.lang.String literal)

  Returns the 'Parameter Mode' literal with the specified literal value.

### getByName

    public static ParameterMode getByName(java.lang.String name)

  Returns the 'Parameter Mode' literal with the specified name.

### get

    public static ParameterMode get(int value)

  Returns the 'Parameter Mode' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.